Bug Hunting Session
Bug 109524 - DOCX IMPORT: A table in a specific document has wrong width in Writer
Summary: DOCX IMPORT: A table in a specific document has wrong width in Writer
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0
Keywords: filter:docx
Depends on:
Blocks: DOCX-Tables
  Show dependency treegraph
 
Reported: 2017-07-27 16:24 UTC by Mike Kaganski
Modified: 2018-12-24 21:16 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
A DOCX with 1-cell auto-width table (1.26 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-07-27 16:24 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2017-07-27 16:24:57 UTC
Created attachment 134908 [details]
A DOCX with 1-cell auto-width table

The attached document has one table that has no explicit width information in it. It opens as a narrow table (just enough to fit the small text in it) in Word, but table size is too wide in Writer, exceeding page width.

According to ECMA-376-1:2016 17.4.63, 17.18.87, etc, all table widths are considered preferred, and actual table layout should be determined using an algorithm described in 17.18.87. When w:tblLayout element is omitted, or there is no explicit width information given, it is assumed that AutoFit Table Layout should be used, i.e. using cells content to determine final widths of table grid. In the description of the AutoFit Table Layout algorithm, it is stated that the table width grows to hold data, but no more than page width.
Comment 1 Mike Kaganski 2017-07-27 16:30:10 UTC
A patch is in gerrit: https://gerrit.libreoffice.org/40500
Comment 2 Xisco Faulí 2017-07-27 16:32:28 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: bde72cdae1e7e001d5089c5284672c976b8e43df
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

is it related to bug 109297 ?
Comment 3 Mike Kaganski 2017-07-27 18:40:09 UTC
(In reply to Xisco Faulí from comment #2)

No, these two are unrelated. I'll see what can be done about that one (while I'm at it).
Comment 4 Commit Notification 2017-07-28 06:00:57 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cae5dd9363b68dbabbeb2069f4aee7d057f6b5a8

tdf#109524: use 100% table width when there's no explicit width available

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike Kaganski 2017-07-28 06:02:25 UTC
It is not fixed yet. A proper fix would be to consider cell content according to standard algorithm.
Comment 6 Xisco Faulí 2018-01-16 09:40:36 UTC
Dear Mike Kaganski,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.